Bug 65310 - security/SAVI-Perl: Submission of new port
Summary: security/SAVI-Perl: Submission of new port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: niels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-08 06:30 UTC by Gary J. Hayers
Modified: 2005-01-12 22:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gary J. Hayers 2004-04-08 06:30:20 UTC
Submission of perl module SAVI-Perl. A perl interface to Sophos Anti Virus

#       p5-SAVI-Perl
#       p5-SAVI-Perl/Makefile
#       p5-SAVI-Perl/distinfo
#       p5-SAVI-Perl/pkg-descr
#       p5-SAVI-Perl/pkg-plist
#
echo c - p5-SAVI-Perl
mkdir -p p5-SAVI-Perl > /dev/null 2>&1
echo x - p5-SAVI-Perl/Makefile
sed 's/^X//' >p5-SAVI-Perl/Makefile << 'END-of-p5-SAVI-Perl/Makefile'
X# New ports collection makefile for:   p5-SAVI-Perl
X# Date created:                                April 8th 2004
X# Whom:                                        Gary Hayers <gary@Hayers.NET>
X#
X# $FreeBSD$
X
X
XPORTNAME=      SAVI-Perl
XPORTVERSION=   0.15
XCATEGORIES=    security perl5
XMASTER_SITES=  http://www.hayers.org/savi/
XMASTER_SITE_SUBDIR=    security
XPKGNAMEPREFIX= p5-
X
XMAINTAINER=    gary@Hayers.NET
XCOMMENT=       Perl5 module interface to Sophos AntiVirus
X
X
XPERL_CONFIGURE=        yes
X
X.include <bsd.port.mk>
END-of-p5-SAVI-Perl/Makefile
echo x - p5-SAVI-Perl/distinfo
sed 's/^X//' >p5-SAVI-Perl/distinfo << 'END-of-p5-SAVI-Perl/distinfo'
XMD5 (SAVI-Perl-0.15.tar.gz) = b80db8b05cbf92fc81995dce39ac261d
XSIZE (SAVI-Perl-0.15.tar.gz) = 27600
END-of-p5-SAVI-Perl/distinfo
echo x - p5-SAVI-Perl/pkg-descr
sed 's/^X//' >p5-SAVI-Perl/pkg-descr << 'END-of-p5-SAVI-Perl/pkg-descr'
XThis is sophossavi the perl interface module to Sophos Anti virus.
X
XWWW: http://www.sophos.com
X
X- Gary Hayers
Xgary@Hayers.NET
END-of-p5-SAVI-Perl/pkg-descr
echo x - p5-SAVI-Perl/pkg-plist
sed 's/^X//' >p5-SAVI-Perl/pkg-plist << 'END-of-p5-SAVI-Perl/pkg-plist'
X@comment this plist intentionally left empty
X
END-of-p5-SAVI-Perl/pkg-plist
exit
Comment 1 Gary J. Hayers 2004-04-12 08:15:27 UTC
update to recent submission after re-reading the porters guide. The .tgz 
file is available at http://www.hayers.org/savi/


#       p5-SAVI-Perl
#       p5-SAVI-Perl/pkg-plist
#       p5-SAVI-Perl/pkg-descr
#       p5-SAVI-Perl/distinfo
#       p5-SAVI-Perl/Makefile
#
echo c - p5-SAVI-Perl
mkdir -p p5-SAVI-Perl > /dev/null 2>&1
echo x - p5-SAVI-Perl/pkg-plist
sed 's/^X//' >p5-SAVI-Perl/pkg-plist << 'END-of-p5-SAVI-Perl/pkg-plist'
Xlib/perl5/site_perl/5.6.1/mach/SAVI.pm
Xlib/perl5/site_perl/5.6.1/mach/auto/SAVI/.packlist
Xlib/perl5/site_perl/5.6.1/mach/auto/SAVI/SAVI.bs
Xlib/perl5/site_perl/5.6.1/mach/auto/SAVI/SAVI.so
Xlib/perl5/site_perl/5.6.1/mach/auto/SAVI/autosplit.ix
Xshare/nls/POSIX
Xshare/nls/en_US.US-ASCII
X@dirrm lib/perl5/site_perl/5.6.1/mach/auto/SAVI
END-of-p5-SAVI-Perl/pkg-plist
echo x - p5-SAVI-Perl/pkg-descr
sed 's/^X//' >p5-SAVI-Perl/pkg-descr << 'END-of-p5-SAVI-Perl/pkg-descr'
XThis is sophossavi the perl interface module to Sophos Anti virus.
XWith thanks to the original author Paul B. Henson.
X
XWWW: http://www.csupomona.edu/~henson/www/projects/SAVI-Perl/
X
X
X- Gary Hayers
XGary@Hayers.net
X
END-of-p5-SAVI-Perl/pkg-descr
echo x - p5-SAVI-Perl/distinfo
sed 's/^X//' >p5-SAVI-Perl/distinfo << 'END-of-p5-SAVI-Perl/distinfo'
XMD5 (SAVI-Perl-0.15.tar.gz) = b80db8b05cbf92fc81995dce39ac261d
XSIZE (SAVI-Perl-0.15.tar.gz) = 27600
END-of-p5-SAVI-Perl/distinfo
echo x - p5-SAVI-Perl/Makefile
sed 's/^X//' >p5-SAVI-Perl/Makefile << 'END-of-p5-SAVI-Perl/Makefile'
X# New ports collection makefile for:   p5-SAVI-Perl
X# Date created:                                April 8th 2004
X# Whom:                                        Gary Hayers 
<Gary@Hayers.net>
X#
X# $FreeBSD$
X
X
XPORTNAME=      SAVI-Perl
XPORTVERSION=   0.15
XCATEGORIES=    security perl5
XMASTER_SITES=  http://www.hayers.org/savi/
XMASTER_SITE_SUBDIR=    security
XPKGNAMEPREFIX= p5-
X
XMAINTAINER=    Gary@Hayers.net
XCOMMENT=       Perl5 module interface to Sophos AntiVirus.
X
X
XPERL_CONFIGURE=        yes
X
X.include <bsd.port.mk>
END-of-p5-SAVI-Perl/Makefile


With Thanks,

Gary Hayers
http://www.hayers.org
Comment 2 UKCEclipse 2004-04-15 22:00:40 UTC
Ok, lets try this again shall we? Added in the MAN page.

#	p5-SAVI-Perl
#	p5-SAVI-Perl/Makefile
#	p5-SAVI-Perl/distinfo
#	p5-SAVI-Perl/pkg-descr
#	p5-SAVI-Perl/pkg-plist
#
echo c - p5-SAVI-Perl
mkdir -p p5-SAVI-Perl > /dev/null 2>&1
echo x - p5-SAVI-Perl/Makefile
sed 's/^X//' >p5-SAVI-Perl/Makefile << 'END-of-p5-SAVI-Perl/Makefile'
X# New ports collection makefile for:	p5-SAVI-Perl
X# Date created:				April 8th 2004
X# Whom:	      				Gary Hayers
<Gary@Hayers.net>
X#
X# $FreeBSD$
X
XPORTNAME=	SAVI-Perl
XPORTVERSION=	0.15
XCATEGORIES=	security perl5
XMASTER_SITES=	http://www.hayers.org/savi/
XMASTER_SITE_SUBDIR=	security
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	Gary@Hayers.net
XCOMMENT=	Perl5 module interface to Sophos AntiVirus
X
XMAN=		SAVI.3
X
XPERL_CONFIGURE=	yes
X
X.include <bsd.port.mk>
END-of-p5-SAVI-Perl/Makefile
echo x - p5-SAVI-Perl/distinfo
sed 's/^X//' >p5-SAVI-Perl/distinfo << 'END-of-p5-SAVI-Perl/distinfo'
XMD5 (SAVI-Perl-0.15.tar.gz) = b80db8b05cbf92fc81995dce39ac261d
XSIZE (SAVI-Perl-0.15.tar.gz) = 27600
END-of-p5-SAVI-Perl/distinfo
echo x - p5-SAVI-Perl/pkg-descr
sed 's/^X//' >p5-SAVI-Perl/pkg-descr << 'END-of-p5-SAVI-Perl/pkg-descr'
XThis is sophossavi the perl interface module to Sophos Anti virus.
XWith thanks to the original author Paul B. Henson.
X
XWWW: http://www.csupomona.edu/~henson/www/projects/SAVI-Perl/
X
X- Gary Hayers
XGary@Hayers.net
END-of-p5-SAVI-Perl/pkg-descr
echo x - p5-SAVI-Perl/pkg-plist
sed 's/^X//' >p5-SAVI-Perl/pkg-plist << 'END-of-p5-SAVI-Perl/pkg-plist'
Xlib/perl5/site_perl/5.6.1/mach/SAVI.pm
Xlib/perl5/site_perl/5.6.1/mach/auto/SAVI/.packlist
Xlib/perl5/site_perl/5.6.1/mach/auto/SAVI/SAVI.bs
Xlib/perl5/site_perl/5.6.1/mach/auto/SAVI/SAVI.so
Xlib/perl5/site_perl/5.6.1/mach/auto/SAVI/autosplit.ix
Xshare/nls/POSIX
Xshare/nls/en_US.US-ASCII
X@dirrm lib/perl5/site_perl/5.6.1/mach/auto/SAVI
END-of-p5-SAVI-Perl/pkg-plist
exit


Regards,

Gary Hayers
System Operator
(but not operating a system!)
http://www.hayers.org/
Comment 3 niels freebsd_committer 2004-12-19 18:57:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->niels


Thanks ! I'll process this submission.  

Note that a new version (0.30) has been released. I'll update the 
port, test it and will let you know how it went. 

Regards, 

Niels
Comment 4 niels freebsd_committer 2005-01-12 13:58:50 UTC
State Changed
From-To: open->feedback



http://people.freebsd.org/~niels/ports/security/p5-SAVI-Perl.tgz 
http://people.freebsd.org/~niels/ports/security/p5-SAVI-Perl/ 

The 0.30 version only works with perl 5.8. I have updated the 
port. Could you verify that this version still works fine ?  

I can build the package but am unable to test its functionality 
because I don't have the required AV software. 

Thanks, 

Niels
Comment 5 niels freebsd_committer 2005-01-12 22:21:27 UTC
State Changed
From-To: feedback->closed

Committed !